### Interface

# PangoCairo FontMap

since: 1.10

#### Description [src]

    interface PangoCairo.FontMap : Pango.FontMap

`PangoCairoFontMap` is an interface exported by font maps for use with Cairo.

The actual type of the font map will depend on the particular font technology Cairo was compiled to use.

Available since: 1.10

#### Prerequisite

In order to implement FontMap, your type must inherit from`PangoFontMap`.

#### Functions

###### pango_cairo_font_map_get_default

Gets a default `PangoCairoFontMap` to use with Cairo.

since: 1.10

###### pango_cairo_font_map_new

Creates a new `PangoCairoFontMap` object.

since: 1.10

###### pango_cairo_font_map_new_for_font_type

Creates a new `PangoCairoFontMap` object of the type suitable to be used with cairo font backend of type `fonttype`.

since: 1.18

#### Instance methods

###### pango_cairo_font_map_create_context

Create a `PangoContext` for the given fontmap.

deprecated: 1.22 since: 1.10

###### pango_cairo_font_map_get_font_type

Gets the type of Cairo font backend that `fontmap` uses.

since: 1.18

###### pango_cairo_font_map_get_resolution

Gets the resolution for the fontmap.

since: 1.10

###### pango_cairo_font_map_set_default

Sets a default `PangoCairoFontMap` to use with Cairo.

since: 1.22

###### pango_cairo_font_map_set_resolution

Sets the resolution for the fontmap.

since: 1.10